> For the complete documentation index, see [llms.txt](https://docs.ai.insly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ai.insly.com/nora/configuration-guide/insly-ledger-integration/import-and-update-templates.md).

# Import and update templates

If integrated with Insly Ledger, then you will have the ability to import schemas from Ledger into Formflow as templates. The specified schema version will become the export destination.

### Modifications made during import

#### **Unwanted root properties are removed**

There are some pre-defined fields which are not needed for data extraction, and are therefore removed:&#x20;

```
notes
documents
schedules
endorsements
referralComments
underwritingNotes
underwriteNotes
underwriterNotes
referralRules
```

#### `$ref` references are resolved

Any `$ref` pointers are resolved to the actual definition objects. Formflow is RJSF-friendly, but not fully compliant. The Formflow template may therefore include repeated fields.

#### Only required and supported parameters are copied

We copy over only selected fields and recursively process nested `properties` and array `items`:

```
schema.type
schema.title
schema.description
schema.enum
schema.enumNames
schema.minItems
schema.maxItems
schema.format
```

*Note:* `minItems` and `maxItems` are kept for the Formflow template schema but removed before AI extraction.

#### **Dependencies and** `oneOf` **conditions are merged**

For example, if choosing *Option 1* reveals *sub-option 1* and *sub-option 2* in `sectionB`, those values are merged directly into `sectionB`, and the dependencies are discarded.

#### **All enums are combined**

We merge all enum possibilities into a single, unified enum.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ai.insly.com/nora/configuration-guide/insly-ledger-integration/import-and-update-templates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
